/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["epages.widget.DndElementlistitem"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["epages.widget.DndElementlistitem"] = true;
/*
	Copyright (c) 2006-2009, ePages GmbH
	All Rights Reserved.
*/

dojo.provide("epages.widget.DndElementlistitem");
dojo.require("epages.widget.Elementlistitem");

dojo.declare("epages.widget.DndElementlistitem", [epages.widget.Elementlistitem],  {
		/**
		 * public methods
		 */
		selectOn    : 'onmousedown',
		_isDragging : false,

		postCreate: function() {
			this.inherited("postCreate", arguments);

			// connect events
			this.connect(this.domNode, "onmousedown", this, '_onMouseDown');
			this.connect(this.domNode, "onmouseup", this, '_onMouseUp');
		},

		_onMouseDown : function(evt) {
			this.getParent()._itemOnMouseDown(this, this.isSelected, evt);
		},

		_onMouseUp : function(evt) {
			this.getParent().dndDeSelectItem(this, this.isSelected, evt);
		},

		_onClick: function(evt) {	// in this case also mouse down
				this.getParent().dndSelectItem(this, this.isSelected, evt);
		}

	}
);

}
